## mplayer 1.3.0-8build5+10.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-8build5+10.0trisquel1) nabia; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:48:50 +0000

mplayer (2:1.3.0-8build5) focal; urgency=medium

  * Rebuild for the new libdvdread soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Nov 2019 16:32:18 +0100

mplayer (2:1.3.0-8build4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:53 +0000

mplayer (2:1.3.0-8build3) disco; urgency=medium

  * No-change rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 19:28:25 -0500

mplayer (2:1.3.0-8build2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:47:26 +0000

mplayer (2:1.3.0-8build1) cosmic; urgency=medium

  * No-change rebuild for libcdio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 00:35:27 +0000

mplayer (2:1.3.0-8) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ James Cowgill ]
  * debian/patches:
    - Fix patch header in 0100_svn37857_CVE-2016-4352.patch
    - Add upstream patch to use pkg-config if freetype-config is unavailable.
      (Closes: #892442)
    - Add patch to fix FTBFS with glibc 2.27 on i386. (Closes: #896805)
    - Backport upstream patches to fix FTBFS with FFmpeg 4.0. (Closes: #888378)
    - Add patch to fallback to "generic" architecture of cpu detection fails.
      (Closes: #728772)
  * debian/watch: Use secure watch URL.

 -- James Cowgill <jcowgill@debian.org>  Fri, 27 Apr 2018 12:05:43 +0100
