## mplayer 1.3.0-8+deb10u1build0.20.04.1+10.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-8+deb10u1build0.20.04.1+10.0trisquel1) nabia-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:41:29 +0000

mplayer (2:1.3.0-8+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 20:11:18 +0100

mplayer (2:1.3.0-8+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Backport the following commits:
    d19ea1ce173e95c31b0e8acbe471ea26c292be2b (CVE-2022-38850)
    58db9292a414ebf13a2cacdb3ffa967fb9036935 (CVE-2022-38851)
    2f6e69e59e2614acdde5505b049c48f80a3d0eb7 (CVE-2022-38855)
    92e0d0b1a04dfdd4ac741e0d07005e3ece2c92ca (CVE-2022-38858)
    62fe0c63cf4fba91efd29bbc85309280e1a99a47 (CVE-2022-38860)
    2622e7fbe3605a2f3b4f74900197fefeedc0d2e1 (CVE-2022-38861)
    b5e745b4bfab2835103a060094fae3c6cc1ba17d (CVE-2022-38863)
    36546389ef9fb6b0e0540c5c3f212534c34b0e94 (CVE-2022-38864)
    33d9295663c37a37216633d7e3f07e7155da6144 (CVE-2022-38865)
    373517da3bb5781726565eb3114a2697b13f00f2 (CVE-2022-38866)
    (based on the patch from Moritz for Bullseye)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Dec 2022 19:03:02 +0100
