## mplayer 1.3.0.1

=== debian/changelog ===
mplayer (2:1.3.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 8987a12c8e5c9fbbb971300221eb35388bdc10f5']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:34:53 +0000
