## mplayer 1.4%2Bds1

=== debian/changelog ===
mplayer (2:1.4+ds1-3ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2022-38850_*.patch
    - CVE-2022-38850
    - CVE-2022-38851
    - CVE-2022-38855
    - CVE-2022-38858
    - CVE-2022-38860
    - CVE-2022-38861
    - CVE-2022-38863
    - CVE-2022-38864
    - CVE-2022-38865
    - CVE-2022-38866

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 18:20:53 +0100

mplayer (2:1.4+ds1-3build1) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:26:33 +0100

mplayer (2:1.4+ds1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 1.0~rc2-1, 1.0~rc1~svn19921,
    1.0pre6a-3, 1.0.cvs20030324-1.

  [ Sebastian Ramacher ]
  * debian/control: Drop vstream-client-dev from BDs
    This allows vstream-client to be removed (see #965865)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jan 2022 21:56:59 +0100

mplayer (2:1.4+ds1-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Fix Homepage (Closes: #958879)
    - Bump Standards-Version
  * debian/patches: Apply upstream patch to fix build with ffmpeg 4.4 (Closes:
    #994002, #993090)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 23:07:45 +0200

mplayer (2:1.4+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/copyright: Repack to exclude ffmpeg
  * debian/patches: Refresh patches
  * debian/control:
    - Remove unused B-Ds
    - Remove obsolete Breaks+Replaces+Conflicts

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Oct 2020 00:13:44 +0200

mplayer (2:1.3.0-9) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Switch from libdts-dev to libdca-dev
    - Remove libcrytalhd-dev from B-D (see #934242)
    - Remove libdirectfb-dev from B-D
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 13
  * debian/rules:
    - Remove get-orig-source target
    - Use architecture.mk from dpkg
  * debian/*.doc-base.*: Update paths
  * debian/upstream/signing-key.asc: Removed. Upstream no longer provides
    signatures

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Oct 2020 22:56:59 +0200
