=== debian/changelog ===
mplayer (2:1.4+ds1-1+deb11u1) bullseye; urgency=medium

  * Backport the following commits:
    d19ea1ce173e95c31b0e8acbe471ea26c292be2b (CVE-2022-38850)
    58db9292a414ebf13a2cacdb3ffa967fb9036935 (CVE-2022-38851)
    2f6e69e59e2614acdde5505b049c48f80a3d0eb7 (CVE-2022-38855)
    92e0d0b1a04dfdd4ac741e0d07005e3ece2c92ca (CVE-2022-38858)
    62fe0c63cf4fba91efd29bbc85309280e1a99a47 (CVE-2022-38860)
    2622e7fbe3605a2f3b4f74900197fefeedc0d2e1 (CVE-2022-38861)
    b5e745b4bfab2835103a060094fae3c6cc1ba17d (CVE-2022-38863)
    36546389ef9fb6b0e0540c5c3f212534c34b0e94 (CVE-2022-38864)
    33d9295663c37a37216633d7e3f07e7155da6144 (CVE-2022-38865)
    373517da3bb5781726565eb3114a2697b13f00f2 (CVE-2022-38866)

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 28 Nov 2022 21:31:43 +0100
