=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
@@ -26,9 +26,7 @@
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
- libcrystalhd-dev [i386 amd64],
- libdirectfb-dev,
- libdts-dev,
+ libdca-dev,
  libdv-dev,
  libdvdnav-dev,
  libdvdread-dev,
@@ -48,12 +46,9 @@
  libmad0-dev,
  libmng-dev,
  libmp3lame-dev,
- libmpcdec-dev,
  libmpeg2-4-dev,
  libmpg123-dev,
- libncurses5-dev,
  libopenal-dev,
- libopus-dev,
  libpostproc-dev (>= 7:3.0~),
  libpulse-dev,
  librtmp-dev,
@@ -64,7 +59,6 @@
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
- libvorbis-dev,
  libvorbisidec-dev,
  libx11-dev,
  libx264-dev,
@@ -86,6 +80,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
+Rules-Requires-Root: no
 
 Package: mplayer-gui
 Architecture: any
@@ -100,9 +95,6 @@
  mplayer-skin,
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- mplayer (<< 2:1.0~rc3+svn20090426-2),
- mplayer-doc (<< 2:1.0~rc3+svn20090426-2)
 Description: movie player for Unix-like systems (GUI variant)
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -111,7 +103,7 @@
  .
  Another big feature of MPlayer is the wide range of supported output
  drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
- DirectFB, but also SDL.
+ but also SDL.
  .
  This package includes the GUI variant of MPlayer.
 
@@ -127,10 +119,6 @@
  mplayer,
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- mplayer (<< 2:1.1.1+svn37434-1)
-Replaces:
- mplayer (<< 2:1.1.1+svn37434-1)
 Description: MPlayer's Movie Encoder
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -156,13 +144,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- mencoder (<< 2:1.0~rc3+svn20090426-2),
- mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
- mplayer-nogui (<< 2:1.0~rc3+svn20090426-2),
- mplayer2
-Conflicts:
- mplayer2
 Description: movie player for Unix-like systems
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -171,7 +152,7 @@
  .
  Another big feature of MPlayer is the wide range of supported output
  drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
- DirectFB, but also SDL.
+ but also SDL.
  .
  Not all of the upstream code is distributed in the source tarball.
  See the README.Debian and copyright files for details.
@@ -184,8 +165,6 @@
  mplayer
 Depends:
  ${misc:Depends}
-Replaces:
- mplayer (<< 2:1.0~rc3+svn20090426-1)
 Description: documentation for MPlayer
  This package contains the HTML documentation for MPlayer, a movie player for
  Unix-like systems. It is available in several languages.
