=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://mplayerhq.hu/MPlayer/releases/ MPlayer-(.+)\.tar\.xz
