## mplayer 1.4+ds1-3ubuntu0.1+11.0trisquel1

=== debian/changelog ===
mplayer (2:1.4+ds1-3ubuntu0.1+11.0trisquel1) aramo-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:40:45 +0000
