=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
-Homepage: https://www.mplayerhq.hu
+Homepage: https://mplayerhq.hu
 Build-Depends:
  debhelper-compat (= 13),
  ladspa-sdk,
@@ -72,7 +73,6 @@
  libxxf86dga-dev,
  libxxf86vm-dev,
  pkg-config,
- vstream-client-dev,
  x11proto-core-dev,
  yasm,
  zlib1g-dev
