=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,9 @@
 # can go in parallel
 .NOTPARALLEL:
 
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS +=$(CPPFLAGS)
-LDFLAGS += -Wl,--as-needed
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -125,8 +123,3 @@
 	dh_install
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
-
-get-orig-source:
-	sh debian/get-svn-source.sh
-
-.PHONY: get-orig-source
