## mplayer 1.4.0

=== debian/changelog ===
mplayer (2:1.4.0-2.lnd.2) unstable; urgency=medium

  *  Release mplayer-1.4.0-2.lnd.1
     - Fix -march option error due to compiler update

 -- jenkins <jenkins@loongson.cn>  Thu, 10 Mar 2022 10:41:08 +0800

mplayer (2:1.4.0-2) unstable; urgency=low

  [ gxw ]
  * Add support for loongarch

 -- Shiyou Yin <yinshiyou-hf@loongson.cn>  Sat, 9 Jan 2021 16:01:56 +0800

mplayer (2:1.4.0-1) unstable; urgency=low

  [ gxw ]
  * Update mplayer to 1.4.0-1
  * Merge patches from origin/master
    - configure: Add loongson series cpu support
    - cpudetect: Add loongson cpu flag
    - libvo: Optimize fastmemcpy for loongson with mmi
    - tools: Add fastmemcpy test bench for loongson

 -- gxw <guxiwei-hf@loongson.cn>  Wed, 10 Sep 2020 20:16:04 +0800
