=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,11 @@
 # can go in parallel
 .NOTPARALLEL:
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS +=$(CPPFLAGS)
+LDFLAGS += -Wl,--as-needed -lXext -lX11
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -20,11 +22,13 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
-	--disable-real \
-	--disable-xanim \
-	--disable-qtx \
-	--disable-win32dll \
 	--language=all \
+	--enable-joystick \
+	--enable-radio \
+	--enable-radio-capture \
+	--enable-gui \
+	--enable-vdpau \
+	--enable-x11 \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
 	--disable-esd \
@@ -123,3 +127,8 @@
 	dh_install
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
+
+get-orig-source:
+	sh debian/get-svn-source.sh
+
+.PHONY: get-orig-source
