## mplayer 1.5%2Bsvn38674

=== debian/changelog ===
mplayer (2:1.5+svn38674-3build1) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:44:34 +0200

mplayer (2:1.5+svn38674-3) unstable; urgency=medium

  * fix d/watch file
  * update d/copyright
  * d/control: drop libpostproc-dev from BD (see #1115054)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 13 Sep 2025 11:27:41 +0200

mplayer (2:1.5+svn38674-2) unstable; urgency=medium

  * drop patch for CVE-2016-4352, already included upstream.
     + Thanks: Andrea Pappacoda <tachi@debian.org>
  * update Standards-Version to 4.7.2, no change required

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 22 Mar 2025 23:53:41 +0100

mplayer (2:1.5+svn38674-1) unstable; urgency=medium

  * New upstream snapshot 1.5+svn38674
  * quilt:
    - drop patches included upstream
    - refresh patch 0204

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 10 Feb 2025 16:26:18 +0100

mplayer (2:1.5+svn38638-3) unstable; urgency=medium

  * quilt: add upstream patch to fix ftbfs on powerpc

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 21 Dec 2024 03:28:12 +0100

mplayer (2:1.5+svn38638-2) unstable; urgency=medium

  * upload to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 17 Dec 2024 01:38:34 +0100

mplayer (2:1.5+svn38638-1) experimental; urgency=medium

  * New upstream version 1.5+svn38638
  * refresh quilt patches
  * quilt:
      - test upstream patch for FTBFS with gcc-14 (Closes: #1075294)
      - upstream fix for security issue #2426 (Closes: #1083029)
      - more patches to fix gcc-14 failures on i386
  * update d/copyright
  * bump Standards-Version to 4.7.0
  * gitignore: ignore quilt's .pc

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 30 Sep 2024 22:29:54 +0200

mplayer (2:1.5+svn38542-1) unstable; urgency=medium

  * New upstream version 1.5+svn38542
     - fix FTBFS with ffmpeg7
     - d/rules: drop xvmc config flag, removed upstream
     - quilt: import upstream patch for jack ao
     (Closes: #1069595, #418855,  #576591, LP: #481597)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 03 Jun 2024 23:30:23 +0200

mplayer (2:1.5+svn38446-2) unstable; urgency=medium

  * build a noaltivec variant of mplayer for powerpc
  * install alternatives for mplayer-altivec and
     mplayer-noaltivec on powerpc; the altivec
     variant has the highest priority (Closes: #410962)
  * d/control: B-D:
      - add dh-exec
      - replace obsolete pkg-config with pkgconf

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 08 Feb 2024 23:49:19 +0100

mplayer (2:1.5+svn38446-1) unstable; urgency=medium

  * Team upload
  * d/watch: Scan SVN repo

  [ Lorenzo Puliti ]
  * New upstream version 1.5+svn38446
     - fix FTBFS (Closes: #1057579)
     - d/control: B-D: switch to nasm
     - avoid crahes when -wid specifies an
       invalid Window ID, see #1034867
     - fix ID_VID_0_ROTATE, relevant for #1040168

  [ Vagrant Cascadian ]
  * debian/rules: Use printf instead of echo (Closes: #1039457)

  [ Paul Wise ]
  * improve printf line in d/rules

 -- Bastian Germann <bage@debian.org>  Sun, 10 Dec 2023 12:38:09 +0100

mplayer (2:1.5+svn38423-2) unstable; urgency=medium

  * Upload to unstable
  * Drop unused version.patch
  * update upstream metadata
  * Update old B-D libgl1-mesa-dev, replaced with libgl-dev
     and libglvnd-dev

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 18 Jun 2023 10:40:15 +0200

mplayer (2:1.5+svn38423-1) experimental; urgency=medium

  * update copyright for debian files
  * Fix FTCBFS: (Closes: #1032158)
      - Pass cross compilation flags to configure.
      - Inject a pkg-config for host into $PATH.
      - Missing Build-Depends: libavutil-dev:native.
     Thanks to Helmut Grohne <helmut@subdivi.de>
  * mplayer-gui: add Native Language Support: (Closes: #1036170)
      - build the gui variant with --enable-nls
      - generate and install *.mo files
      - clean up the temporary dir for .mo files
    Thanks to Ingo Brückl <ib@wupperonline.de>
  * mplayer-gui: add missing MIME types to desktop file.
    Thanks to Petter Reinholdtsen <pere@hungry.com> (Closes: #842809)
  * Automate version in d/rules
  * New upstream snapshot 1.5+svn38423

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 23 May 2023 15:02:42 +0200

mplayer (2:1.5+svn38408-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Lorenzo Puliti ]
  * New upstream svn snapshot 1.5+svn38408 (Closes: #1009714)
      - fixes FTBFS with recent ffmpeg (Closes: #1004579, #1030190)
      - fixes CVE-2022-38600, CVE-2022-38864, CVE-2022-38861,
        see #1021013
      - fixes broken theora (ogv) playback (Closes: #920485)
  * debian/patches:
      - temporary drop Debian version patch
      - drop 0007-ad_spdif patch, merged upstream
      - refresh other patches
  * New maintainer (Closes: #1005899)
  * Relax mplayer-skin dependency to recommends: mplayer-gui
     now has a minimalistic build-in skin. This is to avoid a circular
     dependency between mplayer-gui and mplayer-skin-blue.
    Thanks to Ingo Brückl (Closes: #983788)
  * bump Standards-Version to 4.6.2
  * Fix mismatched lintian overrides
  * enable the salsa.ci pipeline
  * update B-D replacing transitional packages with real ones

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 26 Jan 2023 20:14:25 +0100
