## mplayer 1.5+svn38408

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
- Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.6.0
+ Reinhard Tartler <siretart@tauware.de>,
+ Lorenzo Puliti <plorenzo@disroot.org>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
 Homepage: https://mplayerhq.hu
@@ -19,9 +19,9 @@
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:3.0~),
- libavformat-dev (>= 7:3.0~),
- libavutil-dev (>= 7:3.0~),
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -33,8 +33,8 @@
  libdvdread-dev,
  libenca-dev,
  libfaad-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libfribidi-dev,
  libgif-dev,
  libgl1-mesa-dev,
@@ -50,13 +50,13 @@
  libmpeg2-4-dev,
  libmpg123-dev,
  libopenal-dev,
- libpostproc-dev (>= 7:3.0~),
+ libpostproc-dev,
  libpulse-dev,
  librtmp-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:3.0~),
+ libswscale-dev,
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -92,9 +92,9 @@
  mplayer-doc
 Depends:
  mplayer,
- mplayer-skin,
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: mplayer-skin
 Description: movie player for Unix-like systems (GUI variant)
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
