=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 .NOTPARALLEL:
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
-
-D_VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/^[0-9]*://')
-OUR_VERSION = \#define VERSION \"$(D_VERSION) (Debian)\"
-OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\"
 
 CFLAGS +=$(CPPFLAGS)
 
@@ -79,39 +74,24 @@
     sound_backend := alsa,oss
 endif
 
-ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-ifeq ($(archconf),)
-	archconf += --target=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
-endif
-	archconf += \
-		--enable-cross-compile \
-		--cc=$(CC) \
-		--host-cc=$(CC_FOR_BUILD)
-	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
-endif
-
 %:
 	dh $@
 
 override_dh_auto_build-arch:
 	dh_auto_build -- mplayer
 	mv mplayer gmplayer
-	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
 	$(MAKE) distclean
 	./configure $(CONFIGURE_FLAGS) --disable-gui
-	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 	dh_auto_build -- mplayer mencoder
 
 override_dh_auto_build-indep:
 	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked
 
 override_dh_auto_clean:
-	rm -rf gui-msg
 	[ -f config.mak ] && $(MAKE) distclean || true
 
 override_dh_auto_configure-arch:
-	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
-	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
+	./configure $(CONFIGURE_FLAGS) --enable-gui
 
 override_dh_auto_configure-indep:
 	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)
